Page MenuHomePhabricator

Maxlag=5 for BotMultichill
Closed, InvalidPublic

Description

BotMultichill edits go through even if maxlag is higher than 5, we should fix the code to ensure it complies with the maxlag policy on Wikimedia wikis by using maxlag=5 (or a lower value) on all editing API queries.

Event Timeline

Pintoch created this task.Dec 10 2019, 7:58 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Dec 11 2019, 11:41 AM
Multichill closed this task as Declined.Dec 11 2019, 8:27 PM

I might set maxlag to something different than 5 every once in a while.

Multichill changed the task status from Declined to Invalid.Jan 18 2020, 12:41 PM

Maxlag is just a configuration setting in Pywikibot and default is 5, there is no "code to fix". Every once in a while I might set it to a different value while testing so I'm not wasting my time. Generally it's just set to 5.